<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
		<title>SPY Reports</title>
		<script type="text/javascript" src="http://www.google.com/jsapi"></script>
		<script type="text/javascript" src="jquery-1.4.4.min.js"></script>
		<script type="text/javascript" src="jquery.gvChart-1.0.1.min.js"></script>
		<script type="text/javascript">
		gvChartInit();
		jQuery(document).ready(function(){			
			jQuery('#report').gvChart({
				chartType: 'LineChart',
				gvSettings: {
					vAxis: {title: 'Price'},
					hAxis: {title: 'Day'},
					width: 720,
					height: 300
					}
			});
			jQuery('#real').gvChart({
				chartType: 'LineChart',
				gvSettings: {
					vAxis: {title: 'Price'},
					hAxis: {title: 'Day'},
					width: 720,
					height: 300
					}
			});
		});
		</script>
		<style>
			body{
				text-align: center;
				font-family: Arial, sans-serif;
				font-size: 12px;
			}
			
			a{
				text-decoration: none;
				font-weight: bold;
				color: #555;
			}
			
			a:hover{
				color: #000;
			}
			
			div.main{
				margin: auto;
				text-align: left;
				width: 720px;
			}
		
			.gvChart {
				border: 2px solid #850000;
				border-radius: 5px;
				-moz-border-radius: 10px;
				width: 720px;
				
				margin: auto;
				margin-top: 20px;
			}
		</style>
	</head>
	<body>
		<div class="main">
			<h1>My Spy report</h1>
			<h2>DEMO data</h2>
			<p>Just to see how it should look when you finish all DB setup</p>
			<table id='report'>
				<caption>DEMO Prices on Zappos.com</caption>
				<thead>
					<tr>
						<th></th>
						<th>01</th>
						<th>02</th>
						<th>03</th>
						<th>04</th>
						<th>05</th>
						<th>06</th>
						<th>07</th>
						<th>08</th>
						<th>09</th>
						<th>10</th>
						<th>11</th>
						<th>12</th>
						<th>13</th>
						<th>14</th>
						<th>15</th>
					</tr>
				</thead>
					<tbody>
					<tr>
						<th>2010-05</th>
						<td>83.90</td>
						<td>85.00</td>
						<td>84.00</td>
						<td>82.00</td>
						<td>83.00</td>
						<td>83.00</td>
						<td>85.00</td>
						<td>83.01</td>
						<td>82.90</td>
						<td>84.00</td>
						<td>85.00</td>
						<td>83.00</td>
						<td>83.00</td>
						<td>83.50</td>
						<td>84.00</td>
					</tr>
				</tbody>
			</table>
			<h2>Real data</h2>
			<p>Here we will get our data via PHP, if you haven't set you database stuff it will show nothing (or maybe an ugly error)</p>
<?php
	$dbhost  = 'localhost';
	$dbuser  = 'root';
	$dbpass  = '';
	$dbname  = "spy";
	$dbtable = "zappos";

	$conn = mysql_connect($dbhost, $dbuser, $dbpass)
		or die ('Error connecting to mysql');

		$selected = mysql_select_db($dbname)
			or die( mysql_error() );
			
			//get data
			$results = mysql_query("SELECT * FROM $dbtable ORDER BY `ID` DESC LIMIT 15");

			mysql_close($conn);
			
			$dates  = array();
			$values = array();
			while($row = mysql_fetch_array($results, MYSQL_ASSOC)) {
				$dates[] = "{$row['Date']}";
				$values[] = "{$row['Value']}";
			}
			
			echo "<table id='real'>";
				echo "<caption>Real Prices on Zappos.com</caption>";
				echo "<thead>";
					echo "<tr>";
						echo "<th></th>";
						foreach($dates as $date) {
							$date = explode('-', $date);
							echo "<th>" . $date[2] . "</th>";
						}
					echo "</tr>";
				echo "</thead>";
				echo "<tbody>";
					echo "<tr>";
						echo "<th>" . $date[0] . "-" . $date[1] . "</th>";
						foreach($values as $value) {
							echo "<td>" . $value . "</td>";
						}
					echo "</tr>";
				echo "</tbody>";
?>
		</div>
	</body>
</html>